import { Bot, Columns2, FileCode } from "lucide-react";
import { Tabs, TabsContent, TabsList, TabsTrigger } from "@/components/ui/tabs";

export default function PlaygroundPage() {
  return (
    <div className="flex h-full flex-col w-full">
      <Tabs defaultValue="split" className="flex-1">
        <div className="h-full w-full px-3">
          <div className="grid h-full items-stretch gap-6 md:grid-cols-[1fr_200px]">
            <div className="hidden flex-col space-y-4 sm:flex md:order-2">
              <div className="grid gap-2">
                <TabsList className="grid grid-cols-3">
                  <TabsTrigger value="split">
                    <span className="sr-only">Split</span>
                    <Columns2 className="h-5 w-auto" />
                  </TabsTrigger>
                  <TabsTrigger value="editor">
                    <span className="sr-only">Editor</span>
                    <FileCode className="h-5 w-auto" />
                  </TabsTrigger>
                  <TabsTrigger value="diff">
                    <span className="sr-only">Diff</span>
                    <Bot className="h-5 w-auto" />
                  </TabsTrigger>
                </TabsList>
              </div>
            </div>
            <div className="md:order-1">
              <TabsContent value="split" className="h-full mt-0 border-0 p-0">
                <div className="h-full flex flex-col space-y-4 pb-3">
                  <div className="grid h-full grid-rows-2 gap-6 lg:grid-cols-2 lg:grid-rows-1">
                    <div className="h-full min-h-[300px] lg:min-h-[700px] xl:min-h-[700px] bg-muted/50" />
                    <div className="rounded-md border bg-muted"></div>
                  </div>
                </div>
              </TabsContent>
              <TabsContent value="editor" className="h-full mt-0 border-0 p-0">
                <div className="h-full flex flex-col space-y-4 pb-3">
                  <div className="h-full min-h-[400px] flex-1 p-4 md:min-h-[700px] lg:min-h-[700px] bg-muted/50" />
                </div>
              </TabsContent>
              <TabsContent value="diff" className="h-full mt-0 border-0 p-0">
                <div className="h-full flex flex-col space-y-4 pb-3">
                  <div className="grid h-full grid-rows-2 gap-6 lg:grid-cols-2 lg:grid-rows-1">
                    <div className="h-full min-h-[300px] lg:min-h-[700px] xl:min-h-[700px] bg-muted/50" />
                    <div className="rounded-md border bg-muted"></div>
                  </div>
                </div>
              </TabsContent>
            </div>
          </div>
        </div>
      </Tabs>
    </div>
  );
}
